Loading...
Searching...
No Matches
pdumodel::Outlet::Settings Struct Reference

Outlet settings More...

## Public Attributes

string | name
| User-defined name.
StartupState | startupState
| Power state after power is applied to the outlet.
boolean | usePduCycleDelay
| `true` to use power-cycle delay as defined in PDU settings
int | cycleDelay
| Outlet-specific power-cycle delay
boolean | nonCritical
| `true` if outlet is non-critical (for load shedding)
int | sequenceDelay
| Delay in ms after this outlet when switching multiple outlets on.

## Detailed Description

Outlet settings

The documentation for this struct was generated from the following file:

- Outlet.idl